libao documentation | libao version 0.8.5 - 20040312

# ao_plugin_device_init

declared in "ao/plugin.h";

Initialize the private device data structures. Memory should be allocated, and default values set if necessary, but devices should not be opened until ao_plugin_open() is called.

    int ao_plugin_device_init(ao_device *device);

### Parameters

device
  Pointer to pre-allocated device structure. The driver should store the address of its private memory in `device->internal`.

### Return Values

> - 1 indicates success.
> - 0 indicates failure, probably due to memory allocation problems. ao_plugin_device_clear() should be called to ensure the deallocate of all private data structures.

copyright © 2001-2003 Stan Seibert | xiph.org volsung@xiph.org
libao documentation | libao version 0.8.5 - 20040312